Distribution:   CCux
Packager:	Christian Wasem <wasem@ccux-linux.de>

Name:		sox
Version:	14.3.1
Release:	1
License:	GNU/GPL 
URL:		http://sox.sourceforge.net/
Group:		Sound
Source0:	%{name}-%{version}.tar.gz
Source1:	%{name}play
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686
Summary:	Sox is a general purpose sound converter/player/recorder.

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: amrnb-devel
BuildRequires: amrwb-devel
BuildRequires: ffmpeg-devel
BuildRequires: file-devel
BuildRequires: flac-devel
BuildRequires: glibc-devel
BuildRequires: lame-devel
BuildRequires: libao-devel
BuildRequires: libgomp
BuildRequires: libid3tag-devel
BuildRequires: libmad-devel
BuildRequires: libogg-devel
BuildRequires: libpng-devel
BuildRequires: libsndfile-devel
BuildRequires: libtool-devel
BuildRequires: libvorbis-devel
BuildRequires: pkg-config
BuildRequires: pulseaudio-libs-devel
BuildRequires: wavpack-devel
BuildRequires: zlib-devel

%description
SoX (also known as Sound eXchange) translates sound files between different
file formats, and optionally applies various sound effects.
SoX is intended as the Swiss Army knife of sound processing tools.
It doesn't do anything very well, but sooner or later it comes in very handy.
For more details see: http://sox.sourceforge.net/

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries            
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%post
ldconfig

%postun
ldconfig

%prep
%setup -qn %{name}-%{version}

%build
%configure --with-gsm --includedir=%{_includedir}/sox
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
cp %{SOURCE1} $RPM_BUILD_ROOT%_bindir

# strip debug symbols
find $RPM_BUILD_ROOT -type f -exec /usr/bin/strip --strip-debug '{}' ';'

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING README
%_bindir/soxplay
%_bindir/play
%_bindir/rec
%_bindir/sox
%_bindir/soxi
%_libdir/libsox.so.*
%_mandir/man1/play.1.gz
%_mandir/man1/rec.1.gz
%_mandir/man1/sox.1.gz
%_mandir/man1/soxi.1.gz
%_mandir/man7/soxeffect.7.gz
%_mandir/man7/soxformat.7.gz

%files devel
%defattr(-,root,root)
%_includedir/sox.h
%_includedir/soxstdint.h
%_libdir/libsox.a
%_libdir/libsox.la
%_libdir/libsox.so
%_mandir/man3/libsox.3.gz
%_libdir/pkgconfig/sox.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Fri Nov 05 2010 Karsten Brockmann <arcam@ccux-linux.de> 14.3.1-1
- Version update 
* Thu Sep 24 2009 Karsten Brockmann <arcam@ccux-linux.de> 14.3.0-1
- Version update
* Wed Mar 25 2009 Christian Metzen <metzench@ccux-linux.de> 14.2.0-1
- Version update
* Mon Apr 14 2008 Chrisian Wasem <wasem@ccux-linux.de> 14.0.1-1
- Version update
* Fri Aug 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 13.0.0-1
- Version update
* Sat Jan 20 2007 Karsten Brockmann <arcam@ccux-linux.de> 12.18.2-1
- Version update
* Sun Apr 16 2006 Karsten Brockmann <arcam@ccux-linux.de> 12.17.9-1
- Version Update
- removed include patch
* Tue Sep 20 2005 Christian Wasem <wasem@ccux-linux.de> 12.17.8-1
- Update to Version 12.17.8
